<%@ page errorPage="../dsp_error.jsp" %>
<%@ page import="java.util.*" %>

<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="sql" uri="http://java.sun.com/jstl/sql" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@ taglib prefix="cf" uri="http://archer-soft.com/taglibs/cf" %>

<!--- check for session.user variable to insure user logged in --->
<%@ include file="../act_session_check_sub.jsp" %>

<%
  java.sql.Date sqldate = new java.sql.Date( new Date().getTime() );
  pageContext.setAttribute( "Current_Date", sqldate.toString() );
%>

<!--- List all Current Call for Proposals (CFPs) --->

<sql:query var="CFP_current_list">
select cfp_title, cfp_deadline, cfp_code, cfp_maxaward, cfp_totalfunds, cfp_report_deadline
from cfp_info
where cfp_deadline >= ?
order by cfp_title, cfp_deadline, cfp_code
<sql:param value="${Current_Date}"/>
</sql:query>

<!--- List all Archived Call for Proposals (CFPs) --->

<sql:query var="CFP_archived_list">
select cfp_title, cfp_deadline, cfp_code, cfp_maxaward, cfp_totalfunds, cfp_report_deadline
from cfp_info
where cfp_deadline < ?
order by cfp_title, cfp_deadline, cfp_code
<sql:param value="${Current_Date}"/>
</sql:query>

<p><h2><cf:GetPhrase phrase_id="5" lang_id="${lang}"/></h2>

<c:if test="${user == 'coordinator'}">
<p><a href="index.jsp?fuseaction=modify_cfp&act=add&coordinator"><cf:GetPhrase phrase_id="148" lang_id="${lang}"/></a>
</c:if>

<p>
<c:choose>
<c:when test="${user == 'coordinator'}"><cf:GetPhrase phrase_id="150" lang_id="${lang}"/></c:when>
<c:otherwise>
<cf:GetPhrase phrase_id="149" lang_id="${lang}"/>
</c:otherwise>
</c:choose>

<p><table width="450" border="1" cellspacing="0" cellpadding="5">

<tr bgcolor="D2D2D2">
	<td colspan="6"><font face="Arial"><b><cf:GetPhrase phrase_id="11" lang_id="${lang}"/>:</b></td>

</tr><tr bgcolor="E8E8E8">
	<td><font face="Arial" size="-1"><b><cf:GetPhrase phrase_id="151" lang_id="${lang}"/></b></td>
	<td><font face="Arial" size="-1"><center><b><cf:GetPhrase phrase_id="79" lang_id="${lang}"/></b></td>
	<td><font face="Arial" size="-1"><center><b><cf:GetPhrase phrase_id="56" lang_id="${lang}"/></b></td>
	<td align="RIGHT"><font face="Arial" size="-1"><b><cf:GetPhrase phrase_id="82" lang_id="${lang}"/></b></td>
	<td align="RIGHT"><font face="Arial" size="-1"><b><cf:GetPhrase phrase_id="83" lang_id="${lang}"/></b></td>
	<td><font face="Arial" size="-1"><center><b><cf:GetPhrase phrase_id="127" lang_id="${lang}"/></b></td>
</tr>

<c:forEach var="row" items="${CFP_current_list.rows}">

<tr>
	<td><font face="Arial" size="-1"><p><a href="<c:url value='index.jsp'>
<c:param name='fuseaction' value='show_cfp'/>
<c:param name='cfp_code' value='${row.cfp_code}'/>
<c:param name='${user}'/>
</c:url>"><c:out value="${row.cfp_title}"/></a></td>
	<td><font face="Arial" size="-1"><center><fmt:formatDate value="${row.cfp_deadline}" pattern="dd-MMM-yyyy"/></td>
	<td><font face="Arial" size="-1"><center>CFP-<c:out value="${row.cfp_code}"/></td>
	<td align="RIGHT"><font face="Arial" size="-1"><fmt:formatNumber value="${row.cfp_maxaward}" type="currency" currencySymbol=""/></td>
	<td align="RIGHT"><font face="Arial" size="-1"><fmt:formatNumber value="${row.cfp_totalfunds}" type="currency" currencySymbol=""/></td>
	<td><font face="Arial" size="-1"><center><fmt:formatDate value="${row.cfp_report_deadline}" pattern="dd-MMM-yyyy"/></td>
</tr>

</c:forEach>

<c:if test="${CFP_archived_list.rowCount != 0}">

<tr bgcolor="D2D2D2">
	<td colspan="6"><font face="Arial"><b><cf:GetPhrase phrase_id="152" lang_id="${lang}"/>:</b></td>

</tr>

<tr bgcolor="E8E8E8">
	<td><font face="Arial" size="-1"><b><cf:GetPhrase phrase_id="151" lang_id="${lang}"/></b></td>
	<td><font face="Arial" size="-1"><center><b><cf:GetPhrase phrase_id="79" lang_id="${lang}"/></b></td>
	<td><font face="Arial" size="-1"><center><b><cf:GetPhrase phrase_id="56" lang_id="${lang}"/></b></td>
	<td align="RIGHT"><font face="Arial" size="-1"><b><cf:GetPhrase phrase_id="82" lang_id="${lang}"/></b></td>
	<td align="RIGHT"><font face="Arial" size="-1"><b><cf:GetPhrase phrase_id="83" lang_id="${lang}"/></b></td>
	<td><font face="Arial" size="-1"><center><b><cf:GetPhrase phrase_id="127" lang_id="${lang}"/></b></td>
</tr>

<c:forEach var="row" items="${CFP_archived_list.rows}">

<tr>
	<td><font face="Arial" size="-1"><a href="<c:url value='index.jsp'>
<c:param name='fuseaction' value='show_cfp'/>
<c:param name='cfp_code' value='${row.cfp_code}'/>
<c:param name='${user}'/>
</c:url>"><c:out value="${row.cfp_title}"/></a></td>
	<td><font face="Arial" size="-1"><center><fmt:formatDate value="${row.cfp_deadline}" pattern="dd-MMM-yyyy"/></td>
	<td><font face="Arial" size="-1"><center>CFP-<c:out value="${row.cfp_code}"/></td>
	<td align="RIGHT"><font face="Arial" size="-1"><fmt:formatNumber value="${row.cfp_maxaward}" type="currency" currencySymbol=""/></td>
	<td align="RIGHT"><font face="Arial" size="-1"><fmt:formatNumber value="${row.cfp_totalfunds}" type="currency" currencySymbol=""/></td>
	<td><font face="Arial" size="-1"><center><fmt:formatDate value="${row.cfp_report_deadline}" pattern="dd-MMM-yyyy"/></td>
</tr>

</c:forEach>
</c:if>
</table>
